## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

# Component flags
[AWS]

## Variables

const unsigned int | AWSF_CMP_ALWAYSERASE = 4
| set if component always needs erased by parent first
const unsigned int | AWSF_CMP_DEAF = 32
const unsigned int | AWSF_CMP_FOCUSED = 512
| set if this component is focused
const unsigned int | AWSF_CMP_HIDDEN = 8
| set if component is hidden
const unsigned int | AWSF_CMP_INVISIBLE = 16
| set by window manager when a component gets too small during resize
const unsigned int | AWSF_CMP_NON_CLIENT = 256
| set if this component should not be clipped to client area
const unsigned int | AWSF_CMP_TOP_SELECT = 128
| set if this component should come to the front when selected
const unsigned int | AWSF_CMP_TRANSPARENT = 2
| set if component is transparent
const unsigned int | AWSF_CMP_WINDOW = 64
| set if component is window

## Variable Documentation

const unsigned int AWSF_CMP_ALWAYSERASE = 4

| set if component always needs erased by parent first Definition at line 44 of file awsdefs.h.

const unsigned int AWSF_CMP_FOCUSED = 512

| set if this component is focused Definition at line 30 of file awsdefs.h.

const unsigned int AWSF_CMP_HIDDEN = 8

| set if component is hidden Definition at line 42 of file awsdefs.h.

const unsigned int AWSF_CMP_INVISIBLE = 16

| set by window manager when a component gets too small during resize Definition at line 40 of file awsdefs.h.

const unsigned int AWSF_CMP_NON_CLIENT = 256

| set if this component should not be clipped to client area Definition at line 32 of file awsdefs.h.

const unsigned int AWSF_CMP_TOP_SELECT = 128

| set if this component should come to the front when selected Definition at line 34 of file awsdefs.h.

const unsigned int AWSF_CMP_TRANSPARENT = 2

| set if component is transparent Definition at line 46 of file awsdefs.h.

const unsigned int AWSF_CMP_WINDOW = 64

| set if component is window Definition at line 36 of file awsdefs.h.